> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Usage

> Aggregated AI usage statistics for a location.



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json get /v1/voice/usage
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/voice/usage:
    get:
      tags:
        - Usage
      summary: Get Usage
      description: Aggregated AI usage statistics for a location.
      parameters:
        - schema:
            type: string
            example: clxyz123
          required: true
          name: location_id
          in: query
        - schema:
            type: string
            example: '2025-01-01T00:00:00Z'
          required: false
          name: since
          in: query
        - schema:
            type: string
            example: '2025-12-31T23:59:59Z'
          required: false
          name: until
          in: query
      responses:
        '200':
          description: Usage statistics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageStats'
      security:
        - bearerAuth: []
components:
  schemas:
    UsageStats:
      type: object
      properties:
        data:
          type: object
          properties:
            since:
              type: string
            until:
              type: string
            total_sessions:
              type: number
            total_duration_seconds:
              type: number
            total_duration_minutes:
              type: number
            by_type:
              type: object
              additionalProperties:
                type: object
                properties:
                  sessions:
                    type: number
                  duration_seconds:
                    type: number
                required:
                  - sessions
                  - duration_seconds
          required:
            - since
            - until
            - total_sessions
            - total_duration_seconds
            - total_duration_minutes
            - by_type
        request_id:
          type: string
      required:
        - data
        - request_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````